# $Revision: 1.26 $, $Date: 2002/01/26 01:59:00 $
Summary:	Standard and Internet Time clock applet
Summary(pl):	Zegar odmierzajcy standardowy oraz internetowy czas
Name:		wmitime
Version:	0.3
Release:	4
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://www.neotokyo.org/illusion/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
URL:		http://www.neotokyo.org/illusion/
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix		/usr/X11R6

%description
WMitime is an (overglorified) clock for the Windowmaker/Afterstep
dock. It displays standard 12/24 hour time and date, as well as
Swatch's new internet time.

%description -l pl
WMitime jest zegarem dla Doku WindowMakera/Afterstepa. Wywietla
standardowy 12/24 godzinny czas, dat, jak rwnie nowy internetowy
czas Swatcha.

%prep
%setup -q -n %{name}

%build
LANG=C; export LANG
%{__make} -C %{name} \
	FLAGS="%{rpmcflags} -I%{_includedir}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_applnkdir}/DockApplets}

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
#install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/DockApplets

gzip -9nf BUGS CHANGES README

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/%{name}
#%{_applnkdir}/DockApplets/wmitime.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmitime.spec,v $
Revision 1.26  2002/01/26 01:59:00  kloczek
- s#export LANG=C#LANG=C; export LANG#

Revision 1.25  2002/01/25 21:39:22  blues
- added export LANG=C to allow compile...
STB

Revision 1.24  2002/01/18 02:15:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/11/28 00:01:38  blues
- release 4
- desktop is out

Revision 1.22  2001/11/21 10:34:51  blues
- URL added
- cosmetic in files

Revision 1.21  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.20  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.19  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.16  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.15  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.14  1999/09/04 08:55:09  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.13  1999/07/30 15:50:36  kloczek
- release 3,
- added stripping binaries.

Revision 1.12  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.11  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon May 24 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [0.3-1]
- updated to 0.3.

* Mon May 17 1999 Piotr Czerwiski <pius@pld.org.pl>
  [0.2-3]
- package is FHS 2.0 compliant,
- rewritten spec file for PLD use,
- based on spec by Jochem Wichers Hoeth <wiho@chem.uva.nl>.
